@import "css3-mixins";
li.file.input {
  list-style: none;
  position: relative;
  width: 60%;
  padding: 0;
  margin: 10px 0;
  margin-left: 20%;
  cursor: pointer;
  &.error {
    margin-bottom: 20px;
  }
  p.inline-error {
    position: absolute;
    margin-left: 0;
  }
  label {
    display: inline-block;
    width: 100%;
    padding: 6px 7px;
    border: 1px solid #aaa;
    @include box-sizing;
    @include border-radius(2px);
    @include box-shadow(inset 1px, 1px, 1px, rgba(0,0,0, .2));
    p {
      margin: 0;
      font-weight: normal;
      color: #666;
      text-align: left;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    span {
      position: absolute;
      right: 0;
      top: 0;
      bottom: 0;
      width: 30%;
      padding: 0 5px;
      line-height: 31px;
      text-align: center;
      background: #eee;
      border: 1px solid #aaa;
      @include border-radius-separate(0, 2px, 0, 2px);
      cursor: pointer;
    }
  }
  input[type=file] {
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    width: 100% !important;
    z-index: 55;
    cursor: pointer;
    @include opacity(0);
  }
  &:hover {
    @include box-shadow(1px, 1px, 2px, rgba(0,0,0,.2))
  }
  &:active {
    @include box-shadow(inset 0, 0, 2px, rgba(0,0,0,.2));
  }
}